
// *************************************************************************
//      Definitions of indices for API functions, unique across entire API
// *************************************************************************

// This file is generated.  Any changes you make will be lost during the next clean build.
// CUDA public interface, for type definitions and cu* function prototypes

#ifndef __SANITIZER_RUNTIME_CBID_H
#define __SANITIZER_RUNTIME_CBID_H


typedef enum SANITIZER_CBID_RUNTIME_API_enum {
    SANITIZER_CBID_RUNTIME_API_INVALID                                                     = 0,
    SANITIZER_CBID_RUNTIME_API_cudaDriverGetVersion                                        = 1,
    SANITIZER_CBID_RUNTIME_API_cudaRuntimeGetVersion                                       = 2,
    SANITIZER_CBID_RUNTIME_API_cudaGetDeviceCount                                          = 3,
    SANITIZER_CBID_RUNTIME_API_cudaGetDeviceProperties                                     = 4,
    SANITIZER_CBID_RUNTIME_API_cudaChooseDevice                                            = 5,
    SANITIZER_CBID_RUNTIME_API_cudaGetChannelDesc                                          = 6,
    SANITIZER_CBID_RUNTIME_API_cudaCreateChannelDesc                                       = 7,
    SANITIZER_CBID_RUNTIME_API_cudaGetLastError                                            = 10,
    SANITIZER_CBID_RUNTIME_API_cudaPeekAtLastError                                         = 11,
    SANITIZER_CBID_RUNTIME_API_cudaGetErrorString                                          = 12,
    SANITIZER_CBID_RUNTIME_API_cudaFuncSetCacheConfig                                      = 14,
    SANITIZER_CBID_RUNTIME_API_cudaFuncGetAttributes                                       = 15,
    SANITIZER_CBID_RUNTIME_API_cudaSetDevice                                               = 16,
    SANITIZER_CBID_RUNTIME_API_cudaGetDevice                                               = 17,
    SANITIZER_CBID_RUNTIME_API_cudaSetValidDevices                                         = 18,
    SANITIZER_CBID_RUNTIME_API_cudaSetDeviceFlags                                          = 19,
    SANITIZER_CBID_RUNTIME_API_cudaMalloc                                                  = 20,
    SANITIZER_CBID_RUNTIME_API_cudaMallocPitch                                             = 21,
    SANITIZER_CBID_RUNTIME_API_cudaFree                                                    = 22,
    SANITIZER_CBID_RUNTIME_API_cudaMallocArray                                             = 23,
    SANITIZER_CBID_RUNTIME_API_cudaFreeArray                                               = 24,
    SANITIZER_CBID_RUNTIME_API_cudaMallocHost                                              = 25,
    SANITIZER_CBID_RUNTIME_API_cudaFreeHost                                                = 26,
    SANITIZER_CBID_RUNTIME_API_cudaHostAlloc                                               = 27,
    SANITIZER_CBID_RUNTIME_API_cudaHostGetDevicePointer                                    = 28,
    SANITIZER_CBID_RUNTIME_API_cudaHostGetFlags                                            = 29,
    SANITIZER_CBID_RUNTIME_API_cudaMemGetInfo                                              = 30,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy                                                  = 31,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2D                                                = 32,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyToArray                                           = 33,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2DToArray                                         = 34,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyFromArray                                         = 35,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2DFromArray                                       = 36,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyArrayToArray                                      = 37,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2DArrayToArray                                    = 38,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyToSymbol                                          = 39,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyFromSymbol                                        = 40,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyAsync                                             = 41,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyToArrayAsync                                      = 42,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyFromArrayAsync                                    = 43,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2DAsync                                           = 44,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2DToArrayAsync                                    = 45,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2DFromArrayAsync                                  = 46,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyToSymbolAsync                                     = 47,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyFromSymbolAsync                                   = 48,
    SANITIZER_CBID_RUNTIME_API_cudaMemset                                                  = 49,
    SANITIZER_CBID_RUNTIME_API_cudaMemset2D                                                = 50,
    SANITIZER_CBID_RUNTIME_API_cudaMemsetAsync                                             = 51,
    SANITIZER_CBID_RUNTIME_API_cudaMemset2DAsync                                           = 52,
    SANITIZER_CBID_RUNTIME_API_cudaGetSymbolAddress                                        = 53,
    SANITIZER_CBID_RUNTIME_API_cudaGetSymbolSize                                           = 54,
    SANITIZER_CBID_RUNTIME_API_cudaBindTexture                                             = 55,
    SANITIZER_CBID_RUNTIME_API_cudaBindTexture2D                                           = 56,
    SANITIZER_CBID_RUNTIME_API_cudaBindTextureToArray                                      = 57,
    SANITIZER_CBID_RUNTIME_API_cudaUnbindTexture                                           = 58,
    SANITIZER_CBID_RUNTIME_API_cudaGetTextureAlignmentOffset                               = 59,
    SANITIZER_CBID_RUNTIME_API_cudaGetTextureReference                                     = 60,
    SANITIZER_CBID_RUNTIME_API_cudaBindSurfaceToArray                                      = 61,
    SANITIZER_CBID_RUNTIME_API_cudaGetSurfaceReference                                     = 62,
    SANITIZER_CBID_RUNTIME_API_cudaGLSetGLDevice                                           = 63,
    SANITIZER_CBID_RUNTIME_API_cudaGLRegisterBufferObject                                  = 64,
    SANITIZER_CBID_RUNTIME_API_cudaGLMapBufferObject                                       = 65,
    SANITIZER_CBID_RUNTIME_API_cudaGLUnmapBufferObject                                     = 66,
    SANITIZER_CBID_RUNTIME_API_cudaGLUnregisterBufferObject                                = 67,
    SANITIZER_CBID_RUNTIME_API_cudaGLSetBufferObjectMapFlags                               = 68,
    SANITIZER_CBID_RUNTIME_API_cudaGLMapBufferObjectAsync                                  = 69,
    SANITIZER_CBID_RUNTIME_API_cudaGLUnmapBufferObjectAsync                                = 70,
    SANITIZER_CBID_RUNTIME_API_cudaWGLGetDevice                                            = 71,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsGLRegisterImage                                 = 72,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsGLRegisterBuffer                                = 73,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsUnregisterResource                              = 74,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsResourceSetMapFlags                             = 75,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsMapResources                                    = 76,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsUnmapResources                                  = 77,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsResourceGetMappedPointer                        = 78,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsSubResourceGetMappedArray                       = 79,
    SANITIZER_CBID_RUNTIME_API_cudaVDPAUGetDevice                                          = 80,
    SANITIZER_CBID_RUNTIME_API_cudaVDPAUSetVDPAUDevice                                     = 81,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsVDPAURegisterVideoSurface                       = 82,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsVDPAURegisterOutputSurface                      = 83,
    SANITIZER_CBID_RUNTIME_API_cudaD3D11GetDevice                                          = 84,
    SANITIZER_CBID_RUNTIME_API_cudaD3D11GetDevices                                         = 85,
    SANITIZER_CBID_RUNTIME_API_cudaD3D11SetDirect3DDevice                                  = 86,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsD3D11RegisterResource                           = 87,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10GetDevice                                          = 88,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10GetDevices                                         = 89,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10SetDirect3DDevice                                  = 90,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsD3D10RegisterResource                           = 91,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10RegisterResource                                   = 92,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10UnregisterResource                                 = 93,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10MapResources                                       = 94,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10UnmapResources                                     = 95,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10ResourceSetMapFlags                                = 96,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10ResourceGetSurfaceDimensions                       = 97,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10ResourceGetMappedArray                             = 98,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10ResourceGetMappedPointer                           = 99,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10ResourceGetMappedSize                              = 100,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10ResourceGetMappedPitch                             = 101,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9GetDevice                                           = 102,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9GetDevices                                          = 103,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9SetDirect3DDevice                                   = 104,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9GetDirect3DDevice                                   = 105,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsD3D9RegisterResource                            = 106,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9RegisterResource                                    = 107,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9UnregisterResource                                  = 108,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9MapResources                                        = 109,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9UnmapResources                                      = 110,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9ResourceSetMapFlags                                 = 111,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9ResourceGetSurfaceDimensions                        = 112,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9ResourceGetMappedArray                              = 113,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9ResourceGetMappedPointer                            = 114,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9ResourceGetMappedSize                               = 115,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9ResourceGetMappedPitch                              = 116,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9Begin                                               = 117,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9End                                                 = 118,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9RegisterVertexBuffer                                = 119,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9UnregisterVertexBuffer                              = 120,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9MapVertexBuffer                                     = 121,
    SANITIZER_CBID_RUNTIME_API_cudaD3D9UnmapVertexBuffer                                   = 122,
    SANITIZER_CBID_RUNTIME_API_cudaThreadExit                                              = 123,
    SANITIZER_CBID_RUNTIME_API_cudaSetDoubleForDevice                                      = 124,
    SANITIZER_CBID_RUNTIME_API_cudaSetDoubleForHost                                        = 125,
    SANITIZER_CBID_RUNTIME_API_cudaThreadSynchronize                                       = 126,
    SANITIZER_CBID_RUNTIME_API_cudaThreadGetLimit                                          = 127,
    SANITIZER_CBID_RUNTIME_API_cudaThreadSetLimit                                          = 128,
    SANITIZER_CBID_RUNTIME_API_cudaStreamCreate                                            = 129,
    SANITIZER_CBID_RUNTIME_API_cudaStreamSynchronize                                       = 131,
    SANITIZER_CBID_RUNTIME_API_cudaStreamQuery                                             = 132,
    SANITIZER_CBID_RUNTIME_API_cudaEventCreate                                             = 133,
    SANITIZER_CBID_RUNTIME_API_cudaEventCreateWithFlags                                    = 134,
    SANITIZER_CBID_RUNTIME_API_cudaEventRecord                                             = 135,
    SANITIZER_CBID_RUNTIME_API_cudaEventDestroy                                            = 136,
    SANITIZER_CBID_RUNTIME_API_cudaEventSynchronize                                        = 137,
    SANITIZER_CBID_RUNTIME_API_cudaEventQuery                                              = 138,
    SANITIZER_CBID_RUNTIME_API_cudaEventElapsedTime                                        = 139,
    SANITIZER_CBID_RUNTIME_API_cudaMalloc3D                                                = 140,
    SANITIZER_CBID_RUNTIME_API_cudaMalloc3DArray                                           = 141,
    SANITIZER_CBID_RUNTIME_API_cudaMemset3D                                                = 142,
    SANITIZER_CBID_RUNTIME_API_cudaMemset3DAsync                                           = 143,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy3D                                                = 144,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy3DAsync                                           = 145,
    SANITIZER_CBID_RUNTIME_API_cudaThreadSetCacheConfig                                    = 146,
    SANITIZER_CBID_RUNTIME_API_cudaStreamWaitEvent                                         = 147,
    SANITIZER_CBID_RUNTIME_API_cudaD3D11GetDirect3DDevice                                  = 148,
    SANITIZER_CBID_RUNTIME_API_cudaD3D10GetDirect3DDevice                                  = 149,
    SANITIZER_CBID_RUNTIME_API_cudaThreadGetCacheConfig                                    = 150,
    SANITIZER_CBID_RUNTIME_API_cudaPointerGetAttributes                                    = 151,
    SANITIZER_CBID_RUNTIME_API_cudaHostRegister                                            = 152,
    SANITIZER_CBID_RUNTIME_API_cudaHostUnregister                                          = 153,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceCanAccessPeer                                     = 154,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceEnablePeerAccess                                  = 155,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceDisablePeerAccess                                 = 156,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyPeer                                              = 160,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyPeerAsync                                         = 161,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy3DPeer                                            = 162,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy3DPeerAsync                                       = 163,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceReset                                             = 164,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceSynchronize                                       = 165,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceGetLimit                                          = 166,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceSetLimit                                          = 167,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceGetCacheConfig                                    = 168,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceSetCacheConfig                                    = 169,
    SANITIZER_CBID_RUNTIME_API_cudaProfilerInitialize                                      = 170,
    SANITIZER_CBID_RUNTIME_API_cudaProfilerStart                                           = 171,
    SANITIZER_CBID_RUNTIME_API_cudaProfilerStop                                            = 172,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceGetByPCIBusId                                     = 173,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceGetPCIBusId                                       = 174,
    SANITIZER_CBID_RUNTIME_API_cudaGLGetDevices                                            = 175,
    SANITIZER_CBID_RUNTIME_API_cudaIpcGetEventHandle                                       = 176,
    SANITIZER_CBID_RUNTIME_API_cudaIpcOpenEventHandle                                      = 177,
    SANITIZER_CBID_RUNTIME_API_cudaIpcGetMemHandle                                         = 178,
    SANITIZER_CBID_RUNTIME_API_cudaIpcOpenMemHandle                                        = 179,
    SANITIZER_CBID_RUNTIME_API_cudaIpcCloseMemHandle                                       = 180,
    SANITIZER_CBID_RUNTIME_API_cudaArrayGetInfo                                            = 181,
    SANITIZER_CBID_RUNTIME_API_cudaFuncSetSharedMemConfig                                  = 182,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceGetSharedMemConfig                                = 183,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceSetSharedMemConfig                                = 184,
    SANITIZER_CBID_RUNTIME_API_cudaCreateTextureObject                                     = 185,
    SANITIZER_CBID_RUNTIME_API_cudaDestroyTextureObject                                    = 186,
    SANITIZER_CBID_RUNTIME_API_cudaGetTextureObjectResourceDesc                            = 187,
    SANITIZER_CBID_RUNTIME_API_cudaGetTextureObjectTextureDesc                             = 188,
    SANITIZER_CBID_RUNTIME_API_cudaCreateSurfaceObject                                     = 189,
    SANITIZER_CBID_RUNTIME_API_cudaDestroySurfaceObject                                    = 190,
    SANITIZER_CBID_RUNTIME_API_cudaGetSurfaceObjectResourceDesc                            = 191,
    SANITIZER_CBID_RUNTIME_API_cudaMallocMipmappedArray                                    = 192,
    SANITIZER_CBID_RUNTIME_API_cudaGetMipmappedArrayLevel                                  = 193,
    SANITIZER_CBID_RUNTIME_API_cudaFreeMipmappedArray                                      = 194,
    SANITIZER_CBID_RUNTIME_API_cudaBindTextureToMipmappedArray                             = 195,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsResourceGetMappedMipmappedArray                 = 196,
    SANITIZER_CBID_RUNTIME_API_cudaStreamAddCallback                                       = 197,
    SANITIZER_CBID_RUNTIME_API_cudaStreamCreateWithFlags                                   = 198,
    SANITIZER_CBID_RUNTIME_API_cudaGetTextureObjectResourceViewDesc                        = 199,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceGetAttribute                                      = 200,
    SANITIZER_CBID_RUNTIME_API_cudaStreamDestroy                                           = 201,
    SANITIZER_CBID_RUNTIME_API_cudaStreamCreateWithPriority                                = 202,
    SANITIZER_CBID_RUNTIME_API_cudaStreamGetPriority                                       = 203,
    SANITIZER_CBID_RUNTIME_API_cudaStreamGetFlags                                          = 204,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceGetStreamPriorityRange                            = 205,
    SANITIZER_CBID_RUNTIME_API_cudaMallocManaged                                           = 206,
    SANITIZER_CBID_RUNTIME_API_cudaStreamAttachMemAsync                                    = 208,
    SANITIZER_CBID_RUNTIME_API_cudaGetErrorName                                            = 209,
    SANITIZER_CBID_RUNTIME_API_cudaOccupancyMaxActiveBlocksPerMultiprocessor               = 210,
    SANITIZER_CBID_RUNTIME_API_cudaLaunchKernel                                            = 211,
    SANITIZER_CBID_RUNTIME_API_cudaGetDeviceFlags                                          = 212,
    SANITIZER_CBID_RUNTIME_API_cudaLaunchKernel_ptsz                                       = 214,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy_ptds                                             = 215,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2D_ptds                                           = 216,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyToArray_ptds                                      = 217,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2DToArray_ptds                                    = 218,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyFromArray_ptds                                    = 219,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2DFromArray_ptds                                  = 220,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyArrayToArray_ptds                                 = 221,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2DArrayToArray_ptds                               = 222,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyToSymbol_ptds                                     = 223,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyFromSymbol_ptds                                   = 224,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyAsync_ptsz                                        = 225,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyToArrayAsync_ptsz                                 = 226,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyFromArrayAsync_ptsz                               = 227,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2DAsync_ptsz                                      = 228,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2DToArrayAsync_ptsz                               = 229,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy2DFromArrayAsync_ptsz                             = 230,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyToSymbolAsync_ptsz                                = 231,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpyFromSymbolAsync_ptsz                              = 232,
    SANITIZER_CBID_RUNTIME_API_cudaMemset_ptds                                             = 233,
    SANITIZER_CBID_RUNTIME_API_cudaMemset2D_ptds                                           = 234,
    SANITIZER_CBID_RUNTIME_API_cudaMemsetAsync_ptsz                                        = 235,
    SANITIZER_CBID_RUNTIME_API_cudaMemset2DAsync_ptsz                                      = 236,
    SANITIZER_CBID_RUNTIME_API_cudaStreamGetPriority_ptsz                                  = 237,
    SANITIZER_CBID_RUNTIME_API_cudaStreamGetFlags_ptsz                                     = 238,
    SANITIZER_CBID_RUNTIME_API_cudaStreamSynchronize_ptsz                                  = 239,
    SANITIZER_CBID_RUNTIME_API_cudaStreamQuery_ptsz                                        = 240,
    SANITIZER_CBID_RUNTIME_API_cudaStreamAttachMemAsync_ptsz                               = 241,
    SANITIZER_CBID_RUNTIME_API_cudaEventRecord_ptsz                                        = 242,
    SANITIZER_CBID_RUNTIME_API_cudaMemset3D_ptds                                           = 243,
    SANITIZER_CBID_RUNTIME_API_cudaMemset3DAsync_ptsz                                      = 244,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy3D_ptds                                           = 245,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy3DAsync_ptsz                                      = 246,
    SANITIZER_CBID_RUNTIME_API_cudaStreamWaitEvent_ptsz                                    = 247,
    SANITIZER_CBID_RUNTIME_API_cudaStreamAddCallback_ptsz                                  = 248,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy3DPeer_ptds                                       = 249,
    SANITIZER_CBID_RUNTIME_API_cudaMemcpy3DPeerAsync_ptsz                                  = 250,
    SANITIZER_CBID_RUNTIME_API_cudaOccupancyMaxActiveBlocksPerMultiprocessorWithFlags      = 251,
    SANITIZER_CBID_RUNTIME_API_cudaMemPrefetchAsync                                        = 252,
    SANITIZER_CBID_RUNTIME_API_cudaMemPrefetchAsync_ptsz                                   = 253,
    SANITIZER_CBID_RUNTIME_API_cudaMemAdvise                                               = 254,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceGetP2PAttribute                                   = 255,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsEGLRegisterImage                                = 256,
    SANITIZER_CBID_RUNTIME_API_cudaEGLStreamConsumerConnect                                = 257,
    SANITIZER_CBID_RUNTIME_API_cudaEGLStreamConsumerDisconnect                             = 258,
    SANITIZER_CBID_RUNTIME_API_cudaEGLStreamConsumerAcquireFrame                           = 259,
    SANITIZER_CBID_RUNTIME_API_cudaEGLStreamConsumerReleaseFrame                           = 260,
    SANITIZER_CBID_RUNTIME_API_cudaEGLStreamProducerConnect                                = 261,
    SANITIZER_CBID_RUNTIME_API_cudaEGLStreamProducerDisconnect                             = 262,
    SANITIZER_CBID_RUNTIME_API_cudaEGLStreamProducerPresentFrame                           = 263,
    SANITIZER_CBID_RUNTIME_API_cudaEGLStreamProducerReturnFrame                            = 264,
    SANITIZER_CBID_RUNTIME_API_cudaGraphicsResourceGetMappedEglFrame                       = 265,
    SANITIZER_CBID_RUNTIME_API_cudaMemRangeGetAttribute                                    = 266,
    SANITIZER_CBID_RUNTIME_API_cudaMemRangeGetAttributes                                   = 267,
    SANITIZER_CBID_RUNTIME_API_cudaEGLStreamConsumerConnectWithFlags                       = 268,
    SANITIZER_CBID_RUNTIME_API_cudaLaunchCooperativeKernel                                 = 269,
    SANITIZER_CBID_RUNTIME_API_cudaLaunchCooperativeKernel_ptsz                            = 270,
    SANITIZER_CBID_RUNTIME_API_cudaEventCreateFromEGLSync                                  = 271,
    SANITIZER_CBID_RUNTIME_API_cudaLaunchCooperativeKernelMultiDevice                      = 272,
    SANITIZER_CBID_RUNTIME_API_cudaFuncSetAttribute                                        = 273,
    SANITIZER_CBID_RUNTIME_API_cudaImportExternalMemory                                    = 274,
    SANITIZER_CBID_RUNTIME_API_cudaExternalMemoryGetMappedBuffer                           = 275,
    SANITIZER_CBID_RUNTIME_API_cudaExternalMemoryGetMappedMipmappedArray                   = 276,
    SANITIZER_CBID_RUNTIME_API_cudaDestroyExternalMemory                                   = 277,
    SANITIZER_CBID_RUNTIME_API_cudaImportExternalSemaphore                                 = 278,
    SANITIZER_CBID_RUNTIME_API_cudaSignalExternalSemaphoresAsync                           = 279,
    SANITIZER_CBID_RUNTIME_API_cudaSignalExternalSemaphoresAsync_ptsz                      = 280,
    SANITIZER_CBID_RUNTIME_API_cudaWaitExternalSemaphoresAsync                             = 281,
    SANITIZER_CBID_RUNTIME_API_cudaWaitExternalSemaphoresAsync_ptsz                        = 282,
    SANITIZER_CBID_RUNTIME_API_cudaDestroyExternalSemaphore                                = 283,
    SANITIZER_CBID_RUNTIME_API_cudaLaunchHostFunc                                          = 284,
    SANITIZER_CBID_RUNTIME_API_cudaLaunchHostFunc_ptsz                                     = 285,
    SANITIZER_CBID_RUNTIME_API_cudaGraphCreate                                             = 286,
    SANITIZER_CBID_RUNTIME_API_cudaGraphKernelNodeGetParams                                = 287,
    SANITIZER_CBID_RUNTIME_API_cudaGraphKernelNodeSetParams                                = 288,
    SANITIZER_CBID_RUNTIME_API_cudaGraphAddKernelNode                                      = 289,
    SANITIZER_CBID_RUNTIME_API_cudaGraphAddMemcpyNode                                      = 290,
    SANITIZER_CBID_RUNTIME_API_cudaGraphMemcpyNodeGetParams                                = 291,
    SANITIZER_CBID_RUNTIME_API_cudaGraphMemcpyNodeSetParams                                = 292,
    SANITIZER_CBID_RUNTIME_API_cudaGraphAddMemsetNode                                      = 293,
    SANITIZER_CBID_RUNTIME_API_cudaGraphMemsetNodeGetParams                                = 294,
    SANITIZER_CBID_RUNTIME_API_cudaGraphMemsetNodeSetParams                                = 295,
    SANITIZER_CBID_RUNTIME_API_cudaGraphAddHostNode                                        = 296,
    SANITIZER_CBID_RUNTIME_API_cudaGraphHostNodeGetParams                                  = 297,
    SANITIZER_CBID_RUNTIME_API_cudaGraphAddChildGraphNode                                  = 298,
    SANITIZER_CBID_RUNTIME_API_cudaGraphChildGraphNodeGetGraph                             = 299,
    SANITIZER_CBID_RUNTIME_API_cudaGraphAddEmptyNode                                       = 300,
    SANITIZER_CBID_RUNTIME_API_cudaGraphClone                                              = 301,
    SANITIZER_CBID_RUNTIME_API_cudaGraphNodeFindInClone                                    = 302,
    SANITIZER_CBID_RUNTIME_API_cudaGraphNodeGetType                                        = 303,
    SANITIZER_CBID_RUNTIME_API_cudaGraphGetRootNodes                                       = 304,
    SANITIZER_CBID_RUNTIME_API_cudaGraphNodeGetDependencies                                = 305,
    SANITIZER_CBID_RUNTIME_API_cudaGraphNodeGetDependentNodes                              = 306,
    SANITIZER_CBID_RUNTIME_API_cudaGraphAddDependencies                                    = 307,
    SANITIZER_CBID_RUNTIME_API_cudaGraphRemoveDependencies                                 = 308,
    SANITIZER_CBID_RUNTIME_API_cudaGraphDestroyNode                                        = 309,
    SANITIZER_CBID_RUNTIME_API_cudaGraphInstantiate                                        = 310,
    SANITIZER_CBID_RUNTIME_API_cudaGraphLaunch                                             = 311,
    SANITIZER_CBID_RUNTIME_API_cudaGraphLaunch_ptsz                                        = 312,
    SANITIZER_CBID_RUNTIME_API_cudaGraphExecDestroy                                        = 313,
    SANITIZER_CBID_RUNTIME_API_cudaGraphDestroy                                            = 314,
    SANITIZER_CBID_RUNTIME_API_cudaStreamBeginCapture                                      = 315,
    SANITIZER_CBID_RUNTIME_API_cudaStreamBeginCapture_ptsz                                 = 316,
    SANITIZER_CBID_RUNTIME_API_cudaStreamIsCapturing                                       = 317,
    SANITIZER_CBID_RUNTIME_API_cudaStreamIsCapturing_ptsz                                  = 318,
    SANITIZER_CBID_RUNTIME_API_cudaStreamEndCapture                                        = 319,
    SANITIZER_CBID_RUNTIME_API_cudaStreamEndCapture_ptsz                                   = 320,
    SANITIZER_CBID_RUNTIME_API_cudaGraphHostNodeSetParams                                  = 321,
    SANITIZER_CBID_RUNTIME_API_cudaGraphGetNodes                                           = 322,
    SANITIZER_CBID_RUNTIME_API_cudaGraphGetEdges                                           = 323,
    SANITIZER_CBID_RUNTIME_API_cudaStreamGetCaptureInfo                                    = 324,
    SANITIZER_CBID_RUNTIME_API_cudaStreamGetCaptureInfo_ptsz                               = 325,
    SANITIZER_CBID_RUNTIME_API_cudaGraphExecKernelNodeSetParams                            = 326,
    SANITIZER_CBID_RUNTIME_API_cudaThreadExchangeStreamCaptureMode                         = 327,
    SANITIZER_CBID_RUNTIME_API_cudaDeviceGetNvSciSyncAttributes                            = 328,
    SANITIZER_CBID_RUNTIME_API_cudaGraphExecMemcpyNodeSetParams                            = 332,
    SANITIZER_CBID_RUNTIME_API_cudaGraphExecMemsetNodeSetParams                            = 333,
    SANITIZER_CBID_RUNTIME_API_cudaGraphExecHostNodeSetParams                              = 334,
    SANITIZER_CBID_RUNTIME_API_cudaGraphExecUpdate                                         = 335,
    SANITIZER_CBID_RUNTIME_API_SIZE                                                        = 336,
    SANITIZER_CBID_RUNTIME_API_FORCE_INT                                                   = 0x7fffffff
} SANITIZER_CBID_RUNTIME_API;

#endif
